function plot_random3(data)
  % StopFcn von random3.mdl
  % plottet Verteilung der Zufallswerte nach 1/4, 2/4, 3/4 und am Ende

  % Zeitpunkte bestimmen
  nPlots = 4;
  tSteps = length(data.time);
  deltaT = tSteps/nPlots;
  times = round(deltaT:deltaT:tSteps);

  % Parameter aus der Maske holen
  low = str2double(get_param('random3/Bereichszaehler', 'low'));
  high = str2double(get_param('random3/Bereichszaehler', 'high'));
  N = str2double(get_param('random3/Bereichszaehler', 'N'));
  step = (high - low)/N;
  x = (low+step/2):step:(high-step/2);

  for I=1:nPlots
    anzahl = data.signals.values(times(I), :);
    subplot(2,2,I)
    plot(x, anzahl, 'Color', 'black')
    title(sprintf('Werte: %5d', times(I)));
  end
end
